typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct  Button_Round {
  TScreen*  OwnerScreen;
  char          Order;
  unsigned int  Left;
  unsigned int  Top;
  unsigned int  Width;
  unsigned int  Height;
  char          Pen_Width;
  unsigned int  Pen_Color;
  char          Visible;
  char          Active;
  char          Transparent;
  char          *Caption;
  TTextAlign    TextAlign;
  const char    *FontName;
  unsigned int  Font_Color;
  char          Gradient;
  char          Gradient_Orientation;
  unsigned int  Gradient_Start_Color;
  unsigned int  Gradient_End_Color;
  unsigned int  Color;
  char          Corner_Radius;
  char          PressColEnabled;
  unsigned int  Press_Color;
  void          (*OnUpPtr)();
  void          (*OnDownPtr)();
  void          (*OnClickPtr)();
  void          (*OnPressPtr)();
} TButton_Round;

typedef struct  Label {
  TScreen*  OwnerScreen;
  char          Order;
  unsigned int  Left;
  unsigned int  Top;
  unsigned int  Width;
  unsigned int  Height;
  char          *Caption;
  const char    *FontName;
  unsigned int  Font_Color;
  char          Visible;
  char          Active;
  void          (*OnUpPtr)();
  void          (*OnDownPtr)();
  void          (*OnClickPtr)();
  void          (*OnPressPtr)();
} TLabel;

typedef struct  Line {
  TScreen*  OwnerScreen;
  char          Order;
  unsigned int  First_Point_X;
  unsigned int  First_Point_Y;
  unsigned int  Second_Point_X;
  unsigned int  Second_Point_Y;
  char          Pen_Width;
  char          Visible;
  unsigned int  Color;
} TLine;

struct Screen {
  unsigned int           Color;
  unsigned int           Width;
  unsigned int           Height;
  unsigned int           ObjectsCount;
  unsigned int           Buttons_RoundCount;
  TButton_Round          * const code *Buttons_Round;
  unsigned int           LabelsCount;
  TLabel                 * const code *Labels;
  unsigned int           LinesCount;
  TLine                  * const code *Lines;
};

extern   TScreen                Screen1;
extern   TLabel                 lblInit;
extern   TLabel                 lblSentC;
extern   TLine                  Line1;
extern   TLine                  Line2;
extern   TButton_Round          btnInit;
extern   TButton_Round          btnSend;
extern   TButton_Round          btnSetRX;
extern   TLabel                 lblTitle;
extern   TLabel                 Label1;
extern   TLabel                 Label2;
extern   TLabel                 lblReceivedC;
extern   TLabel                 lblReceived;
extern   TLabel                 lblSent;
extern   TButton_Round          * const code Screen1_Buttons_Round[3];
extern   TLabel                 * const code Screen1_Labels[8];
extern   TLine                  * const code Screen1_Lines[2];


/////////////////////////
// Events Code Declarations
void btnInitOnClick();
void btnSendOnClick();
void btnSetRXOnClick();
/////////////////////////

/////////////////////////////////
// Caption variables Declarations
extern char lblInit_Caption[];
extern char lblSentC_Caption[];
extern char Line1_Caption[];
extern char Line2_Caption[];
extern char btnInit_Caption[];
extern char btnSend_Caption[];
extern char btnSetRX_Caption[];
extern char lblTitle_Caption[];
extern char Label1_Caption[];
extern char Label2_Caption[];
extern char lblReceivedC_Caption[];
extern char lblReceived_Caption[];
extern char lblSent_Caption[];
/////////////////////////////////

void DrawScreen(TScreen *aScreen);
void DrawRoundButton(TButton_Round *Around_button);
void DrawLabel(TLabel *ALabel);
void DrawLine(TLine *Aline);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
